/*
*
* CwNcAdvanceCostflow.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-05-16
*/
package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

/**
 *  * cw_nc_advance_costflow
 */
public class CwNcAdvanceCostflow {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号", required = false, example = "")
    private String batchNo;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号", required = false, example = "")
    private String projectId;

    /**
     * 子项目编号
     */
    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String subProjectId;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称", required = false, example = "")
    private String projectName;

    /**
     * 专户账户
     */
    @ApiModelProperty(value = "专户账户", required = false, example = "")
    private String accountNo;

    /**
     * 垫付款金额
     */
    @ApiModelProperty(value = "垫付款金额", required = false, example = "")
    private BigDecimal advanceAmount;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

    /**
     * 主键
     * @return ID 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 批次号
     * @return BATCH_NO 批次号
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批次号
     * @param batchNo 批次号
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    /**
     * 项目编号
     * @return PROJECT_ID 项目编号
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * 项目编号
     * @param projectId 项目编号
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId == null ? null : projectId.trim();
    }

    /**
     * 子项目编号
     * @return SUB_PROJECT_ID 子项目编号
     */
    public String getSubProjectId() {
        return subProjectId;
    }

    /**
     * 子项目编号
     * @param subProjectId 子项目编号
     */
    public void setSubProjectId(String subProjectId) {
        this.subProjectId = subProjectId == null ? null : subProjectId.trim();
    }

    /**
     * 项目名称
     * @return PROJECT_NAME 项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称
     * @param projectName 项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 专户账户
     * @return ACCOUNT_NO 专户账户
     */
    public String getAccountNo() {
        return accountNo;
    }

    /**
     * 专户账户
     * @param accountNo 专户账户
     */
    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo == null ? null : accountNo.trim();
    }

    /**
     * 垫付款金额
     * @return ADVANCE_AMOUNT 垫付款金额
     */
    public BigDecimal getAdvanceAmount() {
        return advanceAmount;
    }

    /**
     * 垫付款金额
     * @param advanceAmount 垫付款金额
     */
    public void setAdvanceAmount(BigDecimal advanceAmount) {
        this.advanceAmount = advanceAmount;
    }

    /**
     * 使用状态
     * @return USE_STATE 使用状态
     */
    public String getUseState() {
        return useState;
    }

    /**
     * 使用状态
     * @param useState 使用状态
     */
    public void setUseState(String useState) {
        this.useState = useState == null ? null : useState.trim();
    }

    /**
     * 录入人员
     * @return CREATE_USER 录入人员
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 录入人员
     * @param createUser 录入人员
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    /**
     * 录入时间
     * @return CREATE_TIME 录入时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 录入时间
     * @param createTime 录入时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后修改人员
     * @return UPDATE_USER 最后修改人员
     */
    public String getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后修改人员
     * @param updateUser 最后修改人员
     */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser == null ? null : updateUser.trim();
    }

    /**
     * 最后修改时间
     * @return UPDATE_TIME 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 备注
     * @return REMARK 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}